import request from '../index'
const prefix = 'sys/'
// 登录
export function doLogin(data: { sid: string; username: string; password: string; kaptcha: string }) {
  return request({
    url: `${prefix}user/login`,
    method: 'post',
    headers: {
      sid: data.sid,
    },
    data,
  })
}

// 获取用户信息
export function getInfo() {
  return request.get(`${prefix}user/info`)
}

// 获取用户权限（菜单、按钮）
export function getUserMenus(params: { resourceType: string; parentCode: string }) {
  return request.get(`${prefix}user/permission`, { params })
}

// 登出
export function logout() {
  return request.get(`${prefix}user/logout`)
}

// 获取系统基础配置：公钥，验证码是否开启
export function getConfig() {
  return request.get(`${prefix}config/baseConfig`)
}

// 获取验证码图片
export function getKaptcha() {
  return request.get(`${prefix}kaptcha/base64`)
}
